> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/features/user-interface/large-view-viewer-infos.md).

# Large View: Viewer infos

Multiple information can be displayed on an image when opened in large view:

* Date
* Tags
* Filename
* Custom Label

![](/files/kReE0OpqBIKIQ29TBYG3)

To display the infos on image viewer, set <mark style="color:$danger;">`viewer_infos`</mark> to <mark style="color:$danger;">`true`</mark>.

<table><thead><tr><th>Value</th><th width="374">Description</th></tr></thead><tbody><tr><td>Date</td><td><p>Displays the date corresponding to the album's sort option. To learn more about the sort options, <a href="/pages/NvPZtoj2i3ZFGwYLQszN">click here</a>.</p><p>The <a href="/spaces/VeS2KFLWXcoY15x9kHdt/pages/bPkucKIzfNREoczL4gdX">date format</a> can be changed. For example, <mark style="color:red;"><code>date: 'L'</code></mark></p></td></tr><tr><td>Tags</td><td>Displays the tags applied on the image. To see how to tag images, <a href="/pages/va0dF977d4plh1j1J3cy">click here</a>.</td></tr><tr><td>Filename</td><td>Displays the filename of the image.</td></tr><tr><td>Custom Label</td><td><p>This parameter allows the display of a custom label. The value of the custom label should be stored in a Salesforce field on the sObject <strong>SharinPixImage__c</strong>. </p><p>The <strong>Salesforce field API name</strong> should then be used as the value for the parameter <strong>custom_label</strong> , for example: <mark style="color:red;"><code>custom_label: 'CustomFilename__c'</code></mark>, where <em>CustomFilename__c</em> refers to the API name of the Salesforce field storing the value for the custom label.</p></td></tr></tbody></table>

## SharinPix Permission

SharinPix Permissions can be used to activate the abilities corresponding to the above-mentioned options.

![](/files/6240k1Xe5l3lCbUeuz6j)

## Apex Class & VF Page Implementations

```apex
public class ViewerInfos {
    private Map<String, Object> params;

    public ViewerInfos(ApexPages.StandardController stdCtrl) {
        String albumId = (Id)stdCtrl.getId();
        params = new Map<String, Object>{
            'path' => '/pagelayout/' + albumId,
            'abilities' => new Map<String, Object> {
                albumId => New Map<String, Object> {
                    'Access' => new Map<String, Object> {
                        'see' => true,
                        'image_list' => true,
                        'image_upload' => true
                    },
                    'Display' => new Map<String, Object> {
                      'date' => 'L'
                    }
                }
            },
            'viewer_infos' => true
        };
    }

    public String getParameters() {
        return JSON.serialize(params); 
    }
}
```

```apex
<apex:page docType="html-5.0" cache="false"
  showHeader="false"
  sidebar="false"
  standardStylesheets="false"
  standardController="Account"
  extensions="ViewerInfos"
  applyHtmlTag="false"
  applyBodyTag="false">
  <sharinpix:sharinpix parameters="{!parameters}" ></sharinpix:sharinpix>
</apex:page>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/documentation/features/user-interface/large-view-viewer-infos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
